<?php


namespace App\Http\Controllers\front;
use App\Http\Controllers\Controller;
use App\Models\logo;
use App\Models\lawyer;
use App\Models\blog;
use App\Models\phone;
use App\Models\email;
use App\Models\Address;
use App\Models\service;
use App\Models\invest;


use App\Models\specialization;


use LaravelLocalization;

class lawyerController extends Controller
{

    function OurLawyers(){

        $logos =  logo::All();


        $invests =  invest::select('id',
         'slug',
        'title_' . LaravelLocalization::getCurrentLocale() . ' as title') -> get();

        $lawyers =  lawyer::select('id',
        'name_' . LaravelLocalization::getCurrentLocale() . ' as name',
        'photo',
        'specialization_id') -> get();

        $phones =  phone::All();
        $emails =  email::All();
        $addresses =  address::select('id',
        'title_' . LaravelLocalization::getCurrentLocale() . ' as title', ) -> get();

        $services =  service::select('id',
        'slug',
        'title_' . LaravelLocalization::getCurrentLocale() . ' as title',) -> get();
        $allServices = $services;


        return view('front.team', compact('logos',  'services', 'invests', 'allServices', 'lawyers',  'phones', 'emails', 'addresses' ));
    }






}
